<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-content">
    <div
      v-if="isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div
      v-else
      class="m-portlet m-portlet--mobile mb-0 position-relative nt-portlet"
      style="float:left;"
      :style="{ width:  '100%' }"
    >
      <div class="m-portlet__body nt-portlet__body-email-scheduler nt-scroll-primary">
        <form class="m-form m-form--state">
          <div class="row">
            <div class="col-md-6 scroll-box nt-scroll-primary pb-0">
              <div class="nt-box">
                <div class="nt-box-head">
                  <h3>1. Thông tin cơ bản</h3>
                </div>
                <div class="nt-box-body">
                  <div class="row">
                    <div class="col-md-8">
                      <div class="form-group m-form__group">
                        <label class="form-control-label nt-label">
                          Tên lịch
                          <span class="m--font-danger">*</span>
                        </label>
                        <s-input-text
                          name="email_scheduler_name"
                          v-model="emailSchedulerDetails.name"
                          class="form-control"
                          disabled
                        ></s-input-text>
                        <div>&nbsp;</div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="form-group m-form__group">
                        <label class="form-control-label nt-label">
                          Trạng thái
                          <span class="m--font-danger">*</span>
                        </label>
                        <div>
                          <span
                            class="m-switch m-switch--outline m-switch--success nt-switch nt-switch-success"
                          >
                            <label>
                              <input
                                name="status"
                                type="checkbox"
                                v-model="emailSchedulerDetails.is_active"
                                disabled
                              />
                              <span></span>
                            </label>
                          </span>
                        </div>
                        <div>&nbsp;</div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="nt-box m--margin-top-20">
                <div class="nt-box-head">
                  <h3>2. Chọn tập khách hàng mục tiêu</h3>
                </div>
                <div class="nt-box-body m--padding-bottom-20">
                  <email-scheduler-show-filter :filter_id="emailSchedulerDetails.filter_id" :email_scheduler_details="emailSchedulerDetails"></email-scheduler-show-filter>
                </div>
              </div>

              <div class="nt-box m--margin-top-20">
                <div class="nt-box-head">
                  <h3>3. Chọn thời gian</h3>
                </div>
                <div class="nt-box-body">
                  <div class="row">
                    <div class="col-md-4">
                      <div class="form-group m-form__group">
                        <label class="form-control-label nt-label">
                          Ngày bắt đầu
                          <span class="m--font-danger">*</span>
                        </label>
                        <s-input-date
                          disabled
                          name="start_date"
                          v-model="emailSchedulerDetails.start_date"
                        ></s-input-date>
                        <div>&nbsp;</div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="form-group m-form__group">
                        <label class="form-control-label nt-label">
                          Vào lúc
                          <span class="m--font-danger">*</span>
                        </label>
                        <s-input-time
                          disabled
                          name="start_on"
                          v-model="emailSchedulerDetails.start_on"
                        ></s-input-time>
                        <div>&nbsp;</div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="form-group m-form__group">
                        <label class="form-control-label nt-label">
                          Định kỳ
                          <span class="m--font-danger">*</span>
                        </label>
                        <select
                          name="repeat_time"
                          class="form-control"
                          v-model="emailSchedulerDetails.repeat_time"
                          disabled
                        >
                          <option
                            v-for="(repeatTime, index) in repeatTimeDefault"
                            :value="repeatTime"
                            :key="index"
                          >{{ repeatTime.name | truncateWords }}</option>
                        </select>
                        <div>&nbsp;</div>

                        <div
                          class="row"
                          v-if="emailSchedulerDetails.repeat_time && emailSchedulerDetails.repeat_time.type === 0"
                        >
                          <div class="col-md-5">
                            <s-input-text
                              name="repeat_time_value"
                              v-model.number="emailSchedulerDetails.repeat_time_value"
                              class="form-control"
                              v-mask="'###'"
                              disabled
                            ></s-input-text>
                          </div>
                          <div class="col-md-7">
                            <select
                              name="repeat_time_type"
                              class="form-control"
                              v-model="emailSchedulerDetails.repeat_time_type"
                              disabled
                            >
                              <option
                                v-for="(repeatTime, index) in repeatTimes"
                                :value="repeatTime.type"
                                :key="index"
                              >{{ repeatTime.name | truncateWords }}</option>
                            </select>
                          </div>
                          <div class="col-md-12">
                            <div>&nbsp;</div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="form-group m-form__group">
                        <label class="form-control-label nt-label">Ngày kết thúc dự kiến</label>
                        <div
                          class="form-control nt-disabled-input"
                        >{{ emailSchedulerDetails.end_date | formatDateTime }}</div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="nt-box nt-box-right">
                <div class="nt-box-head d-flex align-items-center justify-content-between">
                  <h3>4. Chọn nội dung</h3>
                </div>
                <div class="nt-box-body" style="padding: 0">
                  <EmailSchedulerEmailList
                    ref="emailSchedulerEmailList"
                    :isDetails="true"
                    :data="{ ids: emailSchedulerDetails.email_template_ids, date:  emailSchedulerDetails.start_date, time: emailSchedulerDetails.start_on, type: emailSchedulerDetails.repeat_time_type, value: emailSchedulerDetails.repeat_time_value }"
                  />
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>
